# SDPRTPAVPMediaDescription Class Reference

`#include <sdp.h>`

Inheritance diagram for SDPRTPAVPMediaDescription:

List of all members.

## Public Member Functions

| SDPRTPAVPMediaDescription (const OpalTransportAddress &address)
virtual PCaselessString | GetSDPTransportType () const
virtual SDPMediaFormat * | CreateSDPMediaFormat (const PString &portString)
virtual PString | GetSDPPortList () const
virtual bool | PrintOn (ostream &str, const PString &connectString) const
void | SetAttribute (const PString &attr, const PString &value)

## Constructor & Destructor Documentation

SDPRTPAVPMediaDescription::SDPRTPAVPMediaDescription | ( | const OpalTransportAddress & | address | ) |

## Member Function Documentation

virtual PCaselessString SDPRTPAVPMediaDescription::GetSDPTransportType | ( |  | ) | const`[virtual]`

Implements SDPMediaDescription.

virtual SDPMediaFormat* SDPRTPAVPMediaDescription::CreateSDPMediaFormat | ( | const PString & | portString | ) | `[virtual]`

Implements SDPMediaDescription.

virtual PString SDPRTPAVPMediaDescription::GetSDPPortList | ( |  | ) | const`[virtual]`

Implements SDPMediaDescription.

virtual bool SDPRTPAVPMediaDescription::PrintOn | ( | ostream & | str,
|  | const PString & | connectString |
| ) |  |  | const`[virtual]`

Reimplemented from SDPMediaDescription.

Reimplemented in SDPAudioMediaDescription.

void SDPRTPAVPMediaDescription::SetAttribute | ( | const PString & | attr,
|  | const PString & | value |
| ) |  |  | `[virtual]`

Reimplemented from SDPMediaDescription.

Reimplemented in SDPAudioMediaDescription.

The documentation for this class was generated from the following file:

- sdp.h